package seqdb;

public class BioSeqHolder	implements org.omg.CORBA.portable.Streamable{
	 public BioSeq value;
	public BioSeqHolder()
	{
	}
	public BioSeqHolder(BioSeq initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return BioSeqHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = BioSeqHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		BioSeqHelper.write(_out,value);
	}
}
